Grafana Cloud

Test runs REST API

Note

The documentation for this API is also available as an OpenAPI description.

List all runs of a load test

GET /cloud/v6/load_tests/{id}/test_runs

List all runs of a load test.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
$countInclude collection length in the response object as @count.queryfalseboolean
$orderby

Comma-separated list of fields to use when ordering the results. Available fields:

  • created

The default ascending order can be reversed by appending the desc specifier.

queryfalsestring
$skipThe initial index from which to return the results.queryfalseinteger
$topNumber of results to return per page.
Default: 1000
Maximum: 1000
queryfalseinteger
created_afterFilter test runs created on or after this date and time (inclusive).queryfalsestring , format: date-time
created_beforeFilter test runs created before this date and time (non-inclusive).queryfalsestring , format: date-time
idID of the load test.pathtrueinteger , format: int64
is_starredFilter by starred state. true or 1 returns only starred runs; false or 0 returns only unstarred runs. Omit the parameter to return all runs for this load test.queryfalseboolean

200 response

OK.

Content types: application/json

TestRunListResponse properties:

NameDescriptionRequiredType
@countObject count in the collection.falseinteger
@nextLinkA reference to the next page of results. The property is included until there are no more pages of results to retrieve.falsestring , format: uri
valueList of the resulting values.trueArray[TestRunApiModel]

The API model for a test run.

TestRunApiModel properties:

NameDescriptionRequiredType
cost

Test run cost details. The cost is available only after test run validation.

  • For test runs still in progress, the value is an estimate of the full cost that will be charged upon successful completion.
  • For finished test runs, the value is the real cost charged for the test run.
trueTestCostApiModel | null
createdDate and time when the test run was started.truestring , format: date-time
distributionList of the load zones configured for the test and the corresponding distribution percentages.truearray | null
endedDate and time when the test run ended. Unset if the test is still running.truestring | null , format: date-time
estimated_durationThe estimated duration of the test run in seconds.trueinteger | null
execution_durationThe real billable duration of the test run in seconds.trueinteger
idID of the test run.trueinteger , format: int64
is_starredWhether the test run is starred for quick access.trueboolean
k6_dependenciesThe requested version of k6 and extensions that was part of the script/archive.trueobject
k6_versionsThe computed version for k6 and extensions used to run the test.trueobject
max_browser_vusThe maximum number of browser VUs at any stage of the execution plan.trueinteger | null
max_vusThe maximum number of total VUs (browser and protocol) at any stage of the execution plan.trueinteger | null
noteUser-defined note for the test run.truestring
optionsThe original options object if available.trueobject | null
project_idID of the parent project.trueinteger , format: int64
resultTest run result. passed if there were no issues, failed if thresholds were breached, error if the execution was not completed.truestring | null
result_detailsAdditional information about the test run result.trueResultDetailsApiModel | null
retention_expiryTimestamp after which the test run results are deleted or null if the test run is saved.truestring | null , format: date-time
started_byEmail of the user who started the test if started with a user token.truestring | null , format: email
statusCurrent test run status.truestring
status_detailsDetails of the current test run status.trueStatusApiModel
status_historyList of test run status objects sorted by the status start time. The list represents the test run status history.trueArray[StatusApiModel]
test_idID of the parent test.trueinteger , format: int64

ResultDetailsApiModel properties:

NameDescriptionRequiredType
codeService-defined error code if applicable.falseinteger | null
messageHuman-readable description of why the test failed or the description of the error if applicable.falsestring | null
typeType of the result: passed, failed or error.truestring

Details of the test run status.

StatusApiModel properties:

NameDescriptionRequiredType
enteredDate and time when the test run entered the status.truestring , format: date-time
extraExtra information about the indicated status.falseStatusExtraApiModel | null
typeType of simple test run status: created, queued, initializing, running, processing_metrics, completed or aborted.truestring

StatusExtraApiModel properties:

NameDescriptionRequiredType
by_userEmail of the user that set the status if applicable.truestring | null , format: email
codeService-defined error code if applicable.trueinteger | null
messageHuman-readable string describing the error if applicable.truestring | null

TestCostApiModel properties:

NameDescriptionRequiredType
breakdowntrueCostBreakdownApiModel
total_vuhTotal number of billed VUH charged for the test run.true

Breakdown details of the test cost.

CostBreakdownApiModel properties:

NameDescriptionRequiredType
base_total_vuhVUH usage before applying the effective reduction.true
browser_vuhNumber of billed VUH charged for the browser part of the test run.true
protocol_vuhNumber of billed VUH charged for the protocol part of the test run.true
reduction_rateThe effective reduction rate after applying all individual reductions to the base VUH usage.true
reduction_rate_breakdownThe individual reduction rates applied to the base VUH usage.trueobject | null
OK example
{
  "@count": 123,
  "@nextLink": "https://api.k6.io/cloud/v6/load_tests/123/test_runs?$skip=50\u0026$top=20",
  "value": [
    {
      "cost": {
        "breakdown": {
          "base_total_vuh": 10,
          "browser_vuh": 0,
          "protocol_vuh": 6.75,
          "reduction_rate": 32.5,
          "reduction_rate_breakdown": {
            "local_run": 25,
            "volume": 10
          }
        },
        "total_vuh": 6.75
      },
      "created": "2024-06-01T19:00:00Z",
      "distribution": [
        {
          "load_zone": "amazon:us:ashburn",
          "percent": 100
        }
      ],
      "ended": null,
      "estimated_duration": 1800,
      "execution_duration": 600,
      "id": 1234,
      "is_starred": false,
      "k6_dependencies": {
        "k6": "\u003e=v0.52",
        "k6/x/faker": "\u003e=0.4.0"
      },
      "k6_versions": {
        "k6": "v0.56.0",
        "k6/x/faker": "v0.4.1"
      },
      "max_browser_vus": 0,
      "max_vus": 10,
      "note": "User-defined note for the test run.",
      "options": {
        "cloud": {
          "distribution": {
            "amazon:us:ashburn": {
              "loadZone": "amazon:us:ashburn",
              "percent": 100
            }
          },
          "projectID": 12
        },
        "stages": [
          {
            "duration": "10m",
            "target": 10
          },
          {
            "duration": "20m",
            "target": 10
          }
        ]
      },
      "project_id": 12,
      "result": null,
      "result_details": null,
      "retention_expiry": "2024-07-01T19:30:30Z",
      "started_by": "user@example.com",
      "status": "running",
      "status_details": {
        "entered": "2024-06-01T19:00:20Z",
        "type": "running"
      },
      "status_history": [
        {
          "entered": "2024-06-01T19:00:00Z",
          "type": "created"
        },
        {
          "entered": "2024-06-01T19:00:10Z",
          "type": "initializing"
        },
        {
          "entered": "2024-06-01T19:00:20Z",
          "type": "running"
        }
      ],
      "test_id": 123
    }
  ]
}

400 response

Request validation error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

404 response

Resource not found.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

List all test runs

GET /cloud/v6/test_runs

List all available test runs.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
$countInclude collection length in the response object as @count.queryfalseboolean
$skipThe initial index from which to return the results.queryfalseinteger
$topNumber of results to return per page.
Default: 1000
Maximum: 1000
queryfalseinteger
created_afterFilter test runs created on or after this date and time (inclusive).queryfalsestring , format: date-time
created_beforeFilter test runs created before this date and time (non-inclusive).queryfalsestring , format: date-time

200 response

OK.

Content types: application/json

TestRunListResponse properties:

NameDescriptionRequiredType
@countObject count in the collection.falseinteger
@nextLinkA reference to the next page of results. The property is included until there are no more pages of results to retrieve.falsestring , format: uri
valueList of the resulting values.trueArray[TestRunApiModel]

The API model for a test run.

TestRunApiModel properties:

NameDescriptionRequiredType
cost

Test run cost details. The cost is available only after test run validation.

  • For test runs still in progress, the value is an estimate of the full cost that will be charged upon successful completion.
  • For finished test runs, the value is the real cost charged for the test run.
trueTestCostApiModel | null
createdDate and time when the test run was started.truestring , format: date-time
distributionList of the load zones configured for the test and the corresponding distribution percentages.truearray | null
endedDate and time when the test run ended. Unset if the test is still running.truestring | null , format: date-time
estimated_durationThe estimated duration of the test run in seconds.trueinteger | null
execution_durationThe real billable duration of the test run in seconds.trueinteger
idID of the test run.trueinteger , format: int64
is_starredWhether the test run is starred for quick access.trueboolean
k6_dependenciesThe requested version of k6 and extensions that was part of the script/archive.trueobject
k6_versionsThe computed version for k6 and extensions used to run the test.trueobject
max_browser_vusThe maximum number of browser VUs at any stage of the execution plan.trueinteger | null
max_vusThe maximum number of total VUs (browser and protocol) at any stage of the execution plan.trueinteger | null
noteUser-defined note for the test run.truestring
optionsThe original options object if available.trueobject | null
project_idID of the parent project.trueinteger , format: int64
resultTest run result. passed if there were no issues, failed if thresholds were breached, error if the execution was not completed.truestring | null
result_detailsAdditional information about the test run result.trueResultDetailsApiModel | null
retention_expiryTimestamp after which the test run results are deleted or null if the test run is saved.truestring | null , format: date-time
started_byEmail of the user who started the test if started with a user token.truestring | null , format: email
statusCurrent test run status.truestring
status_detailsDetails of the current test run status.trueStatusApiModel
status_historyList of test run status objects sorted by the status start time. The list represents the test run status history.trueArray[StatusApiModel]
test_idID of the parent test.trueinteger , format: int64

ResultDetailsApiModel properties:

NameDescriptionRequiredType
codeService-defined error code if applicable.falseinteger | null
messageHuman-readable description of why the test failed or the description of the error if applicable.falsestring | null
typeType of the result: passed, failed or error.truestring

Details of the test run status.

StatusApiModel properties:

NameDescriptionRequiredType
enteredDate and time when the test run entered the status.truestring , format: date-time
extraExtra information about the indicated status.falseStatusExtraApiModel | null
typeType of simple test run status: created, queued, initializing, running, processing_metrics, completed or aborted.truestring

StatusExtraApiModel properties:

NameDescriptionRequiredType
by_userEmail of the user that set the status if applicable.truestring | null , format: email
codeService-defined error code if applicable.trueinteger | null
messageHuman-readable string describing the error if applicable.truestring | null

TestCostApiModel properties:

NameDescriptionRequiredType
breakdowntrueCostBreakdownApiModel
total_vuhTotal number of billed VUH charged for the test run.true

Breakdown details of the test cost.

CostBreakdownApiModel properties:

NameDescriptionRequiredType
base_total_vuhVUH usage before applying the effective reduction.true
browser_vuhNumber of billed VUH charged for the browser part of the test run.true
protocol_vuhNumber of billed VUH charged for the protocol part of the test run.true
reduction_rateThe effective reduction rate after applying all individual reductions to the base VUH usage.true
reduction_rate_breakdownThe individual reduction rates applied to the base VUH usage.trueobject | null
OK example
{
  "@count": 123,
  "@nextLink": "https://api.k6.io/cloud/v6/test_runs?$skip=50\u0026$top=20",
  "value": [
    {
      "cost": {
        "breakdown": {
          "base_total_vuh": 10,
          "browser_vuh": 0,
          "protocol_vuh": 6.75,
          "reduction_rate": 32.5,
          "reduction_rate_breakdown": {
            "local_run": 25,
            "volume": 10
          }
        },
        "total_vuh": 6.75
      },
      "created": "2024-06-01T19:00:00Z",
      "distribution": [
        {
          "load_zone": "amazon:us:ashburn",
          "percent": 100
        }
      ],
      "ended": null,
      "estimated_duration": 1800,
      "execution_duration": 600,
      "id": 1234,
      "is_starred": false,
      "k6_dependencies": {
        "k6": "\u003e=v0.52",
        "k6/x/faker": "\u003e=0.4.0"
      },
      "k6_versions": {
        "k6": "v0.56.0",
        "k6/x/faker": "v0.4.1"
      },
      "max_browser_vus": 0,
      "max_vus": 10,
      "note": "User-defined note for the test run.",
      "options": {
        "cloud": {
          "distribution": {
            "amazon:us:ashburn": {
              "loadZone": "amazon:us:ashburn",
              "percent": 100
            }
          },
          "projectID": 12
        },
        "stages": [
          {
            "duration": "10m",
            "target": 10
          },
          {
            "duration": "20m",
            "target": 10
          }
        ]
      },
      "project_id": 12,
      "result": null,
      "result_details": null,
      "retention_expiry": "2024-07-01T19:30:30Z",
      "started_by": "user@example.com",
      "status": "running",
      "status_details": {
        "entered": "2024-06-01T19:00:20Z",
        "type": "running"
      },
      "status_history": [
        {
          "entered": "2024-06-01T19:00:00Z",
          "type": "created"
        },
        {
          "entered": "2024-06-01T19:00:10Z",
          "type": "initializing"
        },
        {
          "entered": "2024-06-01T19:00:20Z",
          "type": "running"
        }
      ],
      "test_id": 123
    }
  ]
}

400 response

Request validation error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

Get a test run by ID

GET /cloud/v6/test_runs/{id}

Fetch a single test run.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
idID of the load test run.pathtrueinteger , format: int64

200 response

OK.

Content types: application/json

The API model for a test run.

TestRunApiModel properties:

NameDescriptionRequiredType
cost

Test run cost details. The cost is available only after test run validation.

  • For test runs still in progress, the value is an estimate of the full cost that will be charged upon successful completion.
  • For finished test runs, the value is the real cost charged for the test run.
trueTestCostApiModel | null
createdDate and time when the test run was started.truestring , format: date-time
distributionList of the load zones configured for the test and the corresponding distribution percentages.truearray | null
endedDate and time when the test run ended. Unset if the test is still running.truestring | null , format: date-time
estimated_durationThe estimated duration of the test run in seconds.trueinteger | null
execution_durationThe real billable duration of the test run in seconds.trueinteger
idID of the test run.trueinteger , format: int64
is_starredWhether the test run is starred for quick access.trueboolean
k6_dependenciesThe requested version of k6 and extensions that was part of the script/archive.trueobject
k6_versionsThe computed version for k6 and extensions used to run the test.trueobject
max_browser_vusThe maximum number of browser VUs at any stage of the execution plan.trueinteger | null
max_vusThe maximum number of total VUs (browser and protocol) at any stage of the execution plan.trueinteger | null
noteUser-defined note for the test run.truestring
optionsThe original options object if available.trueobject | null
project_idID of the parent project.trueinteger , format: int64
resultTest run result. passed if there were no issues, failed if thresholds were breached, error if the execution was not completed.truestring | null
result_detailsAdditional information about the test run result.trueResultDetailsApiModel | null
retention_expiryTimestamp after which the test run results are deleted or null if the test run is saved.truestring | null , format: date-time
started_byEmail of the user who started the test if started with a user token.truestring | null , format: email
statusCurrent test run status.truestring
status_detailsDetails of the current test run status.trueStatusApiModel
status_historyList of test run status objects sorted by the status start time. The list represents the test run status history.trueArray[StatusApiModel]
test_idID of the parent test.trueinteger , format: int64

ResultDetailsApiModel properties:

NameDescriptionRequiredType
codeService-defined error code if applicable.falseinteger | null
messageHuman-readable description of why the test failed or the description of the error if applicable.falsestring | null
typeType of the result: passed, failed or error.truestring

Details of the test run status.

StatusApiModel properties:

NameDescriptionRequiredType
enteredDate and time when the test run entered the status.truestring , format: date-time
extraExtra information about the indicated status.falseStatusExtraApiModel | null
typeType of simple test run status: created, queued, initializing, running, processing_metrics, completed or aborted.truestring

StatusExtraApiModel properties:

NameDescriptionRequiredType
by_userEmail of the user that set the status if applicable.truestring | null , format: email
codeService-defined error code if applicable.trueinteger | null
messageHuman-readable string describing the error if applicable.truestring | null

TestCostApiModel properties:

NameDescriptionRequiredType
breakdowntrueCostBreakdownApiModel
total_vuhTotal number of billed VUH charged for the test run.true

Breakdown details of the test cost.

CostBreakdownApiModel properties:

NameDescriptionRequiredType
base_total_vuhVUH usage before applying the effective reduction.true
browser_vuhNumber of billed VUH charged for the browser part of the test run.true
protocol_vuhNumber of billed VUH charged for the protocol part of the test run.true
reduction_rateThe effective reduction rate after applying all individual reductions to the base VUH usage.true
reduction_rate_breakdownThe individual reduction rates applied to the base VUH usage.trueobject | null
Completed example
{
  "cost": {
    "breakdown": {
      "base_total_vuh": 10,
      "browser_vuh": 0,
      "protocol_vuh": 6.75,
      "reduction_rate": 32.5,
      "reduction_rate_breakdown": {
        "local_run": 25,
        "volume": 10
      }
    },
    "total_vuh": 6.75
  },
  "created": "2024-06-01T19:00:00Z",
  "distribution": [
    {
      "load_zone": "amazon:us:ashburn",
      "percent": 100
    }
  ],
  "ended": "2024-06-01T19:30:30Z",
  "estimated_duration": 1800,
  "execution_duration": 1800,
  "id": 1234,
  "is_starred": true,
  "k6_dependencies": {
    "k6": "\u003e=v0.52",
    "k6/x/faker": "\u003e=0.4.0"
  },
  "k6_versions": {
    "k6": "v0.56.0",
    "k6/x/faker": "v0.4.1"
  },
  "max_browser_vus": 0,
  "max_vus": 10,
  "note": "User-defined note for the test run.",
  "options": {
    "cloud": {
      "distribution": {
        "amazon:us:ashburn": {
          "loadZone": "amazon:us:ashburn",
          "percent": 100
        }
      },
      "projectID": 12
    },
    "stages": [
      {
        "duration": "10m",
        "target": 10
      },
      {
        "duration": "20m",
        "target": 10
      }
    ]
  },
  "project_id": 12,
  "result": "passed",
  "result_details": {
    "type": "passed"
  },
  "retention_expiry": "2024-07-01T19:30:30Z",
  "started_by": "user@example.com",
  "status": "completed",
  "status_details": {
    "entered": "2024-06-01T19:30:30Z",
    "type": "completed"
  },
  "status_history": [
    {
      "entered": "2024-06-01T19:00:00Z",
      "type": "created"
    },
    {
      "entered": "2024-06-01T19:00:10Z",
      "type": "initializing"
    },
    {
      "entered": "2024-06-01T19:00:20Z",
      "type": "running"
    },
    {
      "entered": "2024-06-01T19:30:20Z",
      "type": "processing_metrics"
    },
    {
      "entered": "2024-06-01T19:30:30Z",
      "type": "completed"
    }
  ],
  "test_id": 123
}
Running example
{
  "cost": {
    "breakdown": {
      "base_total_vuh": 10,
      "browser_vuh": 0,
      "protocol_vuh": 6.75,
      "reduction_rate": 32.5,
      "reduction_rate_breakdown": {
        "local_run": 25,
        "volume": 10
      }
    },
    "total_vuh": 6.75
  },
  "created": "2024-06-01T19:00:00Z",
  "distribution": [
    {
      "load_zone": "amazon:us:ashburn",
      "percent": 100
    }
  ],
  "ended": null,
  "estimated_duration": 1800,
  "execution_duration": 600,
  "id": 1234,
  "is_starred": false,
  "k6_dependencies": {
    "k6": "\u003e=v0.52",
    "k6/x/faker": "\u003e=0.4.0"
  },
  "k6_versions": {
    "k6": "v0.56.0",
    "k6/x/faker": "v0.4.1"
  },
  "max_browser_vus": 0,
  "max_vus": 10,
  "note": "User-defined note for the test run.",
  "options": {
    "cloud": {
      "distribution": {
        "amazon:us:ashburn": {
          "loadZone": "amazon:us:ashburn",
          "percent": 100
        }
      },
      "projectID": 12
    },
    "stages": [
      {
        "duration": "10m",
        "target": 10
      },
      {
        "duration": "20m",
        "target": 10
      }
    ]
  },
  "project_id": 12,
  "result": null,
  "result_details": null,
  "retention_expiry": "2024-07-01T19:30:30Z",
  "started_by": "user@example.com",
  "status": "running",
  "status_details": {
    "entered": "2024-06-01T19:00:20Z",
    "type": "running"
  },
  "status_history": [
    {
      "entered": "2024-06-01T19:00:00Z",
      "type": "created"
    },
    {
      "entered": "2024-06-01T19:00:10Z",
      "type": "initializing"
    },
    {
      "entered": "2024-06-01T19:00:20Z",
      "type": "running"
    }
  ],
  "test_id": 123
}
ValidationError example
{
  "cost": null,
  "created": "2024-06-01T19:00:00Z",
  "distribution": null,
  "ended": "2024-06-01T19:00:10Z",
  "estimated_duration": null,
  "execution_duration": 0,
  "id": 1234,
  "is_starred": false,
  "k6_dependencies": {
    "k6": "\u003e=v0.52",
    "k6/x/faker": "\u003e=0.4.0"
  },
  "k6_versions": {
    "k6": "v0.56.0",
    "k6/x/faker": "v0.4.1"
  },
  "max_browser_vus": null,
  "max_vus": null,
  "note": "",
  "options": null,
  "project_id": 12,
  "result": "error",
  "result_details": {
    "code": 1234,
    "message": "Validation error.",
    "type": "error"
  },
  "retention_expiry": "2024-07-01T19:00:10Z",
  "started_by": "user@example.com",
  "status": "aborted",
  "status_details": {
    "entered": "2024-06-24T19:44:36.46Z",
    "extra": {
      "by_user": null,
      "code": 123,
      "message": "Validation error"
    },
    "type": "aborted"
  },
  "status_history": [
    {
      "entered": "2024-06-01T19:00:00Z",
      "type": "created"
    },
    {
      "entered": "2024-06-01T19:00:10Z",
      "extra": {
        "by_user": null,
        "code": 123,
        "message": "Validation error"
      },
      "type": "aborted"
    }
  ],
  "test_id": 123
}

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

404 response

Resource not found.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

Delete a test run

DELETE /cloud/v6/test_runs/{id}

Delete a test run.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
idID of the load test run.pathtrueinteger , format: int64

204 response

OK.

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

404 response

Resource not found.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

409 response

Cannot delete test while it’s running.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

Update a test run

PATCH /cloud/v6/test_runs/{id}

Update a test run.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
idID of the load test run.pathtrueinteger , format: int64

Request body

Content types: application/json

PatchTestRunApiModel properties:

NameDescriptionRequiredType
noteUser-defined note for the test run.truestring
Update example
{
  "note": "New note for the test run"
}

204 response

OK.

400 response

Request validation error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

404 response

Resource not found.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

Abort a running test

POST /cloud/v6/test_runs/{id}/abort

Abort a running test.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
idID of the load test run.pathtrueinteger , format: int64

204 response

OK.

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

404 response

Resource not found.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

409 response

Cannot abort a non-running test.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

Get test run distribution

GET /cloud/v6/test_runs/{id}/distribution

Get test run distribution data.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
idID of the load test run.pathtrueinteger , format: int64

200 response

OK.

Content types: application/json

TestRunDistributionApiModel properties:

NameDescriptionRequiredType
distributionDistribution of nodes across the load generators for the test run.trueobject
DistributionData example
{
  "distribution": {
    "amazon:eu:dublin": {
      "nodes": [
        {
          "public_ip": "3.82.149.215",
          "size": "m5.large"
        },
        {
          "public_ip": "3.82.149.216",
          "size": "m5.large"
        }
      ],
      "percentage": 40
    },
    "amazon:us:ashburn": {
      "nodes": [
        {
          "public_ip": "3.82.149.214",
          "size": "m5.large"
        }
      ],
      "percentage": 60
    }
  }
}

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

404 response

Resource matching query does not exist or no distribution data available for the given test run.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

Save test run results

POST /cloud/v6/test_runs/{id}/save

Deprecated: true

Deprecated: use POST /test_runs/{id}/star instead. This operation is scheduled for removal on 2026-09-01.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
idID of the load test run.pathtrueinteger , format: int64

204 response

OK.

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

404 response

Resource not found.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

409 response

The test run results have been deleted, or the maximum number of saved test runs has been reached.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null
Deleted example
{
  "error": {
    "code": "conflict",
    "message": "Test run has been deleted"
  }
}
LimitReached example
{
  "error": {
    "code": "conflict",
    "message": "The maximum number of saved test runs has been reached"
  }
}

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

Download the test run script

GET /cloud/v6/test_runs/{id}/script

Download the test run script.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
idID of the load test run.pathtrueinteger , format: int64

200 response

OK.

Content types: application/x-tar text/javascript
K6ArchiveScript example
(.tar data)
TextScript example
import http from 'k6/http';
import { sleep } from 'k6';

export const options = {
  vus: 10,
  duration: '30s',
  cloud: {
    // Project: Default project
    projectID: 3684621,
    // Test runs with the same name groups test runs together.
    name: 'Test (04/12/2024-20:28:06)'
  }
};

export default function() {
  http.get('https://test.k6.io');
  sleep(1);
}

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

404 response

Resource not found.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

Star a test run

POST /cloud/v6/test_runs/{id}/star

Marks a test run for quick access in comparison workflows. Starring a test run does not extend metrics retention.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
idID of the load test run.pathtrueinteger , format: int64

204 response

OK.

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

404 response

Resource not found.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

Unsave test run results

POST /cloud/v6/test_runs/{id}/unsave

Deprecated: true

Deprecated: use POST /test_runs/{id}/unstar instead. This operation is scheduled for removal on 2026-09-01.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
idID of the load test run.pathtrueinteger , format: int64

204 response

OK.

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

404 response

Resource not found.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

Unstar a test run

POST /cloud/v6/test_runs/{id}/unstar

Removes a test run from the starred comparison workflow.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
idID of the load test run.pathtrueinteger , format: int64

204 response

OK.

401 response

Invalid token or authentication scheme.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

403 response

The user does not have permission to perform this action.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

404 response

Resource not found.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null

500 response

Unexpected error.

Content types: application/json

ErrorResponseApiModel properties:

NameDescriptionRequiredType
errortrueErrorApiModel

Details of the error.

ErrorApiModel properties:

NameDescriptionRequiredType
codeService-defined error code.truestring
detailsArray of objects with more specific error information when applicable.falsearray | null
messageHuman-readable string describing the error.truestring
targetA string indicating the target of the error. For example, the name of the property in error.falsestring | null